lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ryan McKinley (Commented) (JIRA)" <>
Subject [jira] [Commented] (SOLR-3159) Upgrade to Jetty 8
Date Fri, 24 Feb 2012 01:51:48 GMT


Ryan McKinley commented on SOLR-3159:

I will make a branch for this so that it is easy to compare the two options.

One kicker is that JSP in Jetty 7 or 8 requires a JDK, not just the JRE.  

But with progress on the new UI, I think we can drop JSP entirely (good riddance!)
> Upgrade to Jetty 8
> ------------------
>                 Key: SOLR-3159
>                 URL:
>             Project: Solr
>          Issue Type: Task
>            Reporter: Ryan McKinley
>            Priority: Minor
>             Fix For: 4.0
> Solr is currently tested (and bundled) with a patched jetty-6 version.  
> Ideally we can release and test with a standard version.
> Jetty-6 (at codehaus) is just maintenance now.  New development and improvements are
now hosted at eclipse.  Assuming performance is equivalent, I think we should switch to Jetty

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators:!default.jspa
For more information on JIRA, see:


To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message